=== debian/changelog ===
orcania (1.1-3) unstable; urgency=medium

  * fix strnstr issue on non-linux (Closes: #869747)
    (thanks to Pino Toscano for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 01 Aug 2017 20:17:33 +0200

orcania (1.1-2) unstable; urgency=medium

  * update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 20 Jul 2017 19:23:33 +0200

orcania (1.1-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 18 Jul 2017 19:32:33 +0200
