=== debian/control ===
Source: orcania
Section: devel
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 10)
	, libjansson-dev
Standards-Version: 4.0.0
Homepage: https://github.com/babelouest/orcania
#Vcs-Git: https://anonscm.debian.org/collab-maint/oauth2-server.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/oauth2-server.git

Package: liborcania1.1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for angharad programs
 Different functions for different purposes but that can be shared 
 between other projects
 .
 Basically these are used for other programs in the anghard project.

Package: liborcania-dev
Architecture: any
Section: libdevel
Depends: liborcania1.1 (= ${binary:Version})
	, ${misc:Depends}
	, libjansson-dev
Description: library for angharad programs, development files
 Different functions for different purposes but that can be shared 
 between other projects
 .
 Basically these are used for other programs in the anghard project.
 .
 This package contains the development files.
