=== src/Makefile ===
--- 
+++ 
@@ -21,19 +21,23 @@
 PREFIX=/usr/local
 CC=gcc
 CFLAGS=-c -fPIC -Wall -D_REENTRANT $(ADDITIONALFLAGS) $(JANSSONFLAG)
-LIBS=-lc -ljansson
 OUTPUT=liborcania.so
-VERSION=1.1
+VERSION=1.1.1
 
-ifneq (($(JANSSONFLAG)),"")
+ifndef JANSSONFLAG
 LJANSSON=-ljansson
 endif
+
+LIBS=-lc $(LJANSSON)
 
 all: release
 
 liborcania.so: memory.o orcania.o base64.o
 	$(CC) -shared -Wl,-soname,$(OUTPUT) -o $(OUTPUT).$(VERSION) orcania.o memory.o base64.o $(LIBS)
 	ln -sf $(OUTPUT).$(VERSION) $(OUTPUT)
+
+liborcania.a: memory.o orcania.o base64.o
+	ar rcs liborcania.a memory.o orcania.o base64.o
 
 orcania.o: orcania.h orcania.c
 	$(CC) $(CFLAGS) orcania.c
@@ -45,15 +49,19 @@
 	$(CC) $(CFLAGS) base64.c
 
 clean:
-	rm -f *.o *.so $(OUTPUT) $(OUTPUT).*
+	rm -f *.o *.so *.a $(OUTPUT) $(OUTPUT).*
 
 install: all
 	cp $(OUTPUT).$(VERSION) $(PREFIX)/lib
 	cp orcania.h $(PREFIX)/include
-	/sbin/ldconfig -r $(PREFIX)
+	-ldconfig
+
+static-install: static
+	cp liborcania.a $(PREFIX)/lib
+	cp orcania.h $(PREFIX)/include
 
 uninstall:
-	rm -f $(PREFIX)/lib/$(OUTPUT)
+	rm -f $(PREFIX)/lib/$(OUTPUT) $(PREFIX)/lib/liborcania.a
 	rm -f $(PREFIX)/lib/$(OUTPUT).*
 	rm -f $(PREFIX)/include/orcania.h
 
@@ -64,3 +72,11 @@
 release: ADDITIONALFLAGS=-O3
 
 release: liborcania.so
+
+static-debug: ADDITIONALFLAGS=-DDEBUG -g -O0
+
+static-debug: liborcania.a
+
+static: ADDITIONALFLAGS=-O3
+
+static: liborcania.a
