=== debian/changelog ===
orcania (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: use dh11

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 25 Jan 2018 19:44:08 +0100

orcania (1.1-4) unstable; urgency=medium

  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: add VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Sep 2017 17:26:33 +0200
