=== debian/changelog ===
orcania (1.2.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: use cmake as buildsystem
  * debian/control: add cmake as dependency

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 15 Apr 2018 19:05:44 -0400
