=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: orcania
 Section: devel
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
+          , Nicolas Mora <nicolas@babelouest.org>
 Build-Depends: debhelper (>= 11)
 	, libjansson-dev
+	, cmake
 Standards-Version: 4.1.3
 Homepage: https://github.com/babelouest/orcania
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/orcania.git
-Vcs-Git: https://anonscm.debian.org/git/debian-iot/orcania.git
+Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/orcania.git
+Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/orcania.git
 
-Package: liborcania1.1
+Package: liborcania1.2
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
@@ -23,7 +26,7 @@
 Package: liborcania-dev
 Architecture: any
 Section: libdevel
-Depends: liborcania1.1 (= ${binary:Version})
+Depends: liborcania1.2 (= ${binary:Version})
 	, ${misc:Depends}
 	, libjansson-dev
 Description: library for angharad programs, development files
