=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@
+	dh $@ --buildsystem=cmake --builddirectory=build
 
 override_dh_auto_install:
 	echo "dh_auto_install"
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(ARGS) --no-warn-unused-cli
