## orcania 1.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,11 +24,13 @@
 # library info
 
 set(PROJECT_DESCRIPTION "Potluck with different functions for different purposes that can be shared among programs")
+set(PROJECT_HOMEPAGE_URL "https://github.com/babelouest/orcania/")
 set(PROJECT_BUGREPORT_PATH "https://github.com/babelouest/orcania/issues")
-
 set(LIBRARY_VERSION_MAJOR "1")
 set(LIBRARY_VERSION_MINOR "2")
-set(LIBRARY_VERSION_PATCH "3")
+set(LIBRARY_VERSION_PATCH "9")
+
+set(PROJECT_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_VERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}.${LIBRARY_VERSION_PATCH}")
 set(LIBRARY_SOVERSION "${LIBRARY_VERSION_MAJOR}.${LIBRARY_VERSION_MINOR}")
 
@@ -66,6 +68,13 @@
         ${SRC_DIR}/base64.c
         ${SRC_DIR}/memory.c
         ${SRC_DIR}/orcania.c)
+
+option(WITH_STRSTR "Use inline implementation of strstr" OFF)
+if (WITH_STRSTR)
+    set(STRSTR ON)
+else ()
+    set(STRSTR OFF)
+endif ()
 
 # dependencies
 
@@ -77,10 +86,26 @@
     find_package(Jansson ${JANSSON_MIN_VERSION} REQUIRED)
     if (JANSSON_FOUND)
         set(LIBS ${JANSSON_LIBRARIES})
+        include_directories(${JANSSON_INCLUDE_DIRS})
+        set(DISABLE_JANSSON OFF)
     endif ()
 else ()
     add_definitions(-DU_DISABLE_JANSSON)
-endif ()
+    set(DISABLE_JANSSON ON)
+endif ()
+
+if (WITH_JANSSON)
+  set(PKGCONF_REQ "")
+  set(PKGCONF_REQ_PRIVATE "jansson >= 2.1")
+else ()
+  set(PKGCONF_REQ "")
+  set(PKGCONF_REQ_PRIVATE "")
+endif ()
+
+# build orcania-cfg.h file
+configure_file(${INC_DIR}/orcania-cfg.h.in ${PROJECT_BINARY_DIR}/orcania-cfg.h)
+set (CMAKE_EXTRA_INCLUDE_FILES ${PROJECT_BINARY_DIR})
+include_directories(${PROJECT_BINARY_DIR})
 
 # static library
 
@@ -90,7 +115,7 @@
     add_library(orcania_static STATIC ${LIB_SRC})
     target_compile_definitions(orcania_static PUBLIC -DO_STATIC_LIBRARY)
     set_target_properties(orcania_static PROPERTIES
-            OUTPUT_NAME liborcania)
+            OUTPUT_NAME orcania)
 endif ()
 
 # shared library
@@ -98,7 +123,7 @@
 add_library(orcania SHARED ${LIB_SRC})
 set_target_properties(orcania PROPERTIES
         COMPILE_OPTIONS -Wextra
-        PUBLIC_HEADER ${INC_DIR}/orcania.h
+        PUBLIC_HEADER "${INC_DIR}/orcania.h;${PROJECT_BINARY_DIR}/orcania-cfg.h"
         VERSION "${LIBRARY_VERSION}"
         SOVERSION "${LIBRARY_SOVERSION}")
 if (WIN32)
@@ -108,9 +133,9 @@
 
 # tests
 
-option(BUILD_TESTING "Build the testing tree." OFF) # because we don not use include(CTest)
-
-if (BUILD_TESTING)
+option(BUILD_ORCANIA_TESTING "Build the testing tree." OFF) # because we don not use include(CTest)
+
+if (BUILD_ORCANIA_TESTING)
     include(FindCheck)
     find_package(Check)
     if (CHECK_FOUND)
@@ -161,7 +186,7 @@
 configure_file(liborcania.pc.in liborcania.pc @ONLY)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/liborcania.pc
-        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pkgconfig)
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 
 set(TARGETS orcania)
 if (BUILD_STATIC)
@@ -208,13 +233,28 @@
 set(PACKAGE_IGNORED_FILES
         "${CMAKE_CURRENT_BINARY_DIR}/;/.git/;.gitignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
 
+set(CPACK_PACKAGE_NAME "liborcania")
+set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Potluck for C programs")
 set(CPACK_GENERATOR "TGZ;DEB")
-
-set(CPACK_DEBIAN_PACKAGE_NAME "liborcania")
+set(CPACK_PACKAGE_VERSION_MAJOR ${LIBRARY_VERSION_MAJOR})
+set(CPACK_PACKAGE_VERSION_MINOR ${LIBRARY_VERSION_MINOR})
+set(CPACK_PACKAGE_VERSION_PATCH ${LIBRARY_VERSION_PATCH})
+
+option(BUILD_RPM "Build a RPM for your system" OFF)
+if (BUILD_RPM)
+  set(CPACK_GENERATOR "TGZ;DEB;RPM")
+  set(CPACK_RPM_PACKAGE_LICENSE "LGPL")
+  set(CPACK_RPM_PACKAGE_URL "http://babelouest.github.io/orcania/")
+endif ()
+
 set(CPACK_DEBIAN_PACKAGE_MAINTAINER "mail@babelouest.org")
 set(CPACK_DEBIAN_PACKAGE_DESCRIPTION ${PROJECT_DESCRIPTION})
 set(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/babelouest/orcania")
-set(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.4), libcurl3-gnutls (>= 7.16.2), libjansson4 (>= 2.1)")
+set(CPACK_DEBIAN_PACKAGE_DEPENDS "libc6 (>= 2.4)")
+if (WITH_JANSSON)
+  set(CPACK_DEBIAN_PACKAGE_DEPENDS "${CPACK_DEBIAN_PACKAGE_DEPENDS}, libjansson4 (>= 2.1)")
+endif ()
+set(CPACK_PACKAGE_FILE_NAME ${PACKAGE_FILE_NAME})
 set(CPACK_PACKAGE_FILE_NAME ${PACKAGE_FILE_NAME})
 
 set(CPACK_SOURCE_GENERATOR "TGZ")
@@ -225,3 +265,10 @@
 
 add_custom_target(dist_o
         COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+
+message(STATUS "Jansson library support: ${WITH_JANSSON}")
+message(STATUS "Force inline implementation of strstr: ${WITH_STRSTR}")
+message(STATUS "Build static library: ${BUILD_STATIC}")
+message(STATUS "Build testing tree: ${BUILD_ULFIUS_TESTING}")
+message(STATUS "Install the header files: ${INSTALL_HEADER}")
+message(STATUS "Build RPM package: ${BUILD_RPM}")
