=== debian/changelog ===
orcania (1.2.9-5) unstable; urgency=medium

  * debian/tests/control: Fix autopkgtest dependencies

 -- Nicolas Mora <nicolas@babelouest.org>  Fri, 04 Jan 2019 11:53:23 -0500

orcania (1.2.9-4) unstable; urgency=medium

  * debian/tests/control: Fix autopkgtest dependencies
  * debian/control: update Standards-Version to current 4.3.0 (no change)
  * debian/rules: clarify dh_auto_configure to explicitly declare options
                  build tests from cmake instead of Makefile

 -- Nicolas Mora <nicolas@babelouest.org>  Thu, 03 Jan 2019 19:21:04 -0500

orcania (1.2.9-3) unstable; urgency=medium

  * debian/*install: Add pkg-config file
  * debian/*install: multiarchify files

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 16 Dec 2018 12:58:21 -0500

orcania (1.2.9-2) unstable; urgency=medium

  * Fix liborcania-dev header install

 -- Nicolas Mora <nicolas@babelouest.org>  Sat, 15 Dec 2018 09:01:42 -0500

orcania (1.2.9-1) unstable; urgency=medium

  * New upstream release
  * Add autopkgtest suite
  * Add unit tests on build

 -- Nicolas Mora <nicolas@babelouest.org>  Wed, 12 Dec 2018 11:59:51 -0500

orcania (1.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <nicolas@babelouest.org>  Fri, 12 Oct 2018 18:27:04 -0400

orcania (1.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 23 Sep 2018 09:19:32 -0400

orcania (1.2.3-5) unstable; urgency=medium

  * debian/copyright: fix wildcard-matches-nothing-in-dep5-copyright

 -- Nicolas Mora <nicolas@babelouest.org>  Fri, 27 Apr 2018 07:25:30 -0400

orcania (1.2.3-4) unstable; urgency=medium

  * debian/copyright: remove unused patch

 -- Nicolas Mora <nicolas@babelouest.org>  Tue, 24 Apr 2018 12:19:46 -0400

orcania (1.2.3-3) unstable; urgency=medium

  * debian/copyright: fix lintian warnings

 -- Nicolas Mora <nicolas@babelouest.org>  Tue, 24 Apr 2018 11:57:11 -0400

orcania (1.2.3-2) unstable; urgency=medium

  * debian/copyright: add cmake scripts

 -- Nicolas Mora <nicolas@babelouest.org>  Sun, 22 Apr 2018 14:07:03 -0400
