=== debian/control ===
--- 
+++ 
@@ -5,9 +5,12 @@
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
           , Nicolas Mora <nicolas@babelouest.org>
 Build-Depends: debhelper (>= 11)
+	, autopkgtest (>= 5.6~)
+	, dh-exec
 	, libjansson-dev
 	, cmake
-Standards-Version: 4.1.3
+	, check
+Standards-Version: 4.3.0
 Homepage: https://github.com/babelouest/orcania
 Vcs-Browser: https://salsa.debian.org/debian-iot-team/oauth2/orcania.git
 Vcs-Git: https://salsa.debian.org/debian-iot-team/oauth2/orcania.git
