=== debian/rules ===
--- 
+++ 
@@ -16,4 +16,7 @@
 	echo "dh_auto_install"
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(ARGS) --no-warn-unused-cli
+	dh_auto_configure -- $(ARGS) -DBUILD_ORCANIA_TESTING=on\
+                                     -DINSTALL_HEADER=on\
+                                     -DWITH_JANSSON=on\
+                                     --no-warn-unused-cli
